
`timescale  1 ps / 1 ps

module test_Transceiver;


	reg clock;			// pin 150 from clock oscillator
	reg key_input;		// pin 177, low for key up, high for key down
	reg ptt_input;		// Pin 176, push to talk for HiQSDR, unconnected in version 1.0
	wire [7:0] LED;		// Bank of eight LEDs on board
	wire led_red;			// Pin 4, negative logic
	wire led_red_2;		// Pin 45, duplicate to led_red
	wire led_y1;			// Pin 46, negative logic
	// ADC interface
	reg adc_clock;		// Pin 91 from ADC
	reg [13:0] adc_data;
	reg adc_overrange;	// Pin 95
	wire adc_reset;		// Pin 120
	// Ethernet controller interface bus
	wire [6:0] eth_address_bus;
	wire [15:0] eth_data_bus;
	wire eth_nRD;
	wire eth_nWR;
	wire eth_nCS;
	wire eth_FIFO_SEL;
	wire eth_nRESET;
	reg  eth_IRQ;
	// Output level control of DAC
	wire [7:0] level_data;
	wire level_nCS;
	wire level_nWR;
	// DAC data; clock is "clock" on pin 150
	wire signed [13:0] dac_data;
	// Additional control bits for the HiQSDR.
	// The connector X2 uses pins 45 and 46.
	wire [5:0] Conn_X1;		// Pin 57 used in version 1.0
	wire [4:0] attenuate;
	wire AntSwitch;
	wire [7:0] debug;

	reg [7:0] cnt;
	integer logfile;


Transceiver dut ( clock, key_input, ptt_input, LED, led_red, led_red_2, led_y1, adc_clock, adc_data, adc_overrange, adc_reset, eth_address_bus, eth_data_bus, eth_nRD, eth_nWR, eth_nCS, eth_FIFO_SEL, eth_nRESET, eth_IRQ, level_data, level_nCS, level_nWR, dac_data, Conn_X1, attenuate, AntSwitch);

//Transceiver dut ( LED, led_red, led_red_2, led_y1, adc_reset, eth_address_bus, eth_nRD, eth_nWR, eth_nCS, eth_FIFO_SEL, eth_nRESET, level_data, level_nCS, level_nWR, dac_data, Conn_X1, attenuate, AntSwitch, clock, key_input, ptt_input, adc_clock, adc_data, adc_overrange, eth_data_bus, eth_IRQ);

initial
begin
	cnt = 0;
	adc_clock = 0;
	adc_data = 0;
	clock = 0;
	key_input = 0;
	ptt_input = 0;
	adc_overrange = 0;	// Pin 95
	eth_IRQ = 0;

end


always
begin
	//#4069 adc_clock = !adc_clock;
	//#4069 clock = !clock;
	#2034 adc_clock = !adc_clock;
	#2034 clock = !clock;
end


always @(negedge (adc_clock))
  begin
	  if (cnt == 9)  adc_data = 1;
	
	  if (cnt == 18) 
	  begin
		  cnt = 0;
		  adc_data = 0;
	  end
	  cnt = cnt +1;

	  clock = adc_clock;
  end


endmodule
